summaryrefslogtreecommitdiff
path: root/package/openssl-pkcs11/patches
diff options
context:
space:
mode:
authorwbx <wbx@hydrogenium.(none)>2009-05-17 14:41:34 +0200
committerwbx <wbx@hydrogenium.(none)>2009-05-17 14:41:34 +0200
commit219a6dab8995aad9ac4860cc1a84d6f3509a03a4 (patch)
treeb9c0f3c43aebba2fcfef777592d0add39f2072f4 /package/openssl-pkcs11/patches
Initial import
Diffstat (limited to 'package/openssl-pkcs11/patches')
-rw-r--r--package/openssl-pkcs11/patches/patch-configure60
1 files changed, 60 insertions, 0 deletions
diff --git a/package/openssl-pkcs11/patches/patch-configure b/package/openssl-pkcs11/patches/patch-configure
new file mode 100644
index 000000000..7527e4904
--- /dev/null
+++ b/package/openssl-pkcs11/patches/patch-configure
@@ -0,0 +1,60 @@
+$Id$
+--- engine_pkcs11-0.1.3.orig/configure 2005-11-23 21:44:23.000000000 +0100
++++ engine_pkcs11-0.1.3/configure 2007-04-08 14:22:29.000000000 +0200
+@@ -20061,56 +20061,6 @@ if test "${with_openssl+set}" = set; the
+ fi
+ CPPFLAGS="-I$withval/include $saved_CPPFLAGS"
+
+- if test "$cross_compiling" = yes; then
+- { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
+-See \`config.log' for more details." >&5
+-echo "$as_me: error: cannot run test program while cross compiling
+-See \`config.log' for more details." >&2;}
+- { (exit 1); exit 1; }; }
+-else
+- cat >conftest.$ac_ext <<_ACEOF
+-/* confdefs.h. */
+-_ACEOF
+-cat confdefs.h >>conftest.$ac_ext
+-cat >>conftest.$ac_ext <<_ACEOF
+-/* end confdefs.h. */
+-
+-#include <string.h>
+-#include <openssl/rand.h>
+-int main(void)
+-{
+- char a[2048];
+- memset(a, 0, sizeof(a));
+- RAND_add(a, sizeof(a), sizeof(a));
+- return(RAND_status() <= 0);
+-}
+-
+-_ACEOF
+-rm -f conftest$ac_exeext
+-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+- (eval $ac_link) 2>&5
+- ac_status=$?
+- echo "$as_me:$LINENO: \$? = $ac_status" >&5
+- (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
+- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+- (eval $ac_try) 2>&5
+- ac_status=$?
+- echo "$as_me:$LINENO: \$? = $ac_status" >&5
+- (exit $ac_status); }; }; then
+-
+- SSL_MSG="yes"
+- ssldir="$withval"
+- break
+-
+-else
+- echo "$as_me: program exited with status $ac_status" >&5
+-echo "$as_me: failed program was:" >&5
+-sed 's/^/| /' conftest.$ac_ext >&5
+-
+-fi
+-rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
+-fi
+-
+ else
+
+